@import 'vars';

.container {
  display: flex;
  align-items: center;
  flex-direction: column;
  max-width: 1000px;
  padding: 0 23px;
  margin-top: 10px;

  > img {
    max-width: 100px;
    height: auto;
    margin-bottom: 90px;

    @media (min-width: 768px) {
      max-width: 126px;
    }
  }

  @media (min-width: 768px) {
    margin: 0 auto;
    margin-top: 40px;
  }
}

.sectionTitle {
  font-family: $font-montserrat-alt;
  font-style: normal;
  font-weight: 600;
  line-height: 30px;
  text-align: center;
  letter-spacing: 0.02em;
  color: #ffffff;
  text-shadow: 0px 2px 50px rgba(255, 255, 255, 0.5);
  margin-bottom: 102px;
}

.accordionContainer {
  max-width: 1000px;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  align-self: center;
  margin-bottom: 103px;
}

.controls {
  font-family: 'Poppins';
  display: flex;
  align-items: center;
  justify-content: space-between;
  min-height: 100px;
  width: 100%;

  span {
    font-size: calc((1.6 - 1) * 1.2vw + 1rem);
  }
}

.accordionItemActive {
  font-family: 'Poppins';
  display: flex;
  flex-wrap: wrap;
  background-color: transparent;
  height: 100%;
  color: #e9e9e9;
  border: 0;
  border-top: 2px solid #fff;
  width: 100%;
  font-weight: 600;
  font-style: normal;
  letter-spacing: 0em;
  text-transform: none;
  font-size: 1rem;
  line-height: 1.8;

  &:last-child {
    border-bottom: 2px solid #fff;
  }

  img {
    width: 25px;
    height: 15px;
  }
  span {
    text-align: left;
  }
}

.accordionItem {
  background-color: transparent;
  height: 100%;
  font-family: 'Poppins';
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  line-height: 22px;
  color: #e9e9e9;
  border: 0;
  border-top: 2px solid #fff;
  cursor: pointer;
  flex-wrap: wrap;
  min-height: 100px;
  display: flex;
  width: 100%;
  align-items: center;

  &:last-child {
    border-bottom: 2px solid #fff;
  }

  img {
    width: 25px;
    height: 15px;
  }
  span {
    text-align: left;
  }
}

.accordionDescription {
  display: none;
  font-family: 'Poppins';
  font-style: normal;
  text-transform: none;
  color: #fff;
  text-align: left;
  margin-bottom: 48px;
  font-weight: 300;
  font-style: normal;
  letter-spacing: 0em;
  font-size: 1rem;
  line-height: 1.8;
  max-height: 1200px;
  transition: all 1s ease-in-out;

  span {
    white-space: pre-line;
    margin: 0;
  }

  div {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;

    > img {
      margin-top: 45px;
      width: 300px;
      height: 170px;

      @media (min-width: 768px) {
        width: 500px;
        height: 313px;
      }
    }
  }
}

.plus {
  .line {
    background-color: #fff;
    height: 1px;
    width: 15px;
  }

  .vertical {
    transform: rotate(90deg);
    transition: transform 0.2s;
  }

  .hide {
    transition: transform 0.2s;
  }
}

.active {
  display: block;
  transform: translateY(0%);
  animation: fade-in 400ms ease-in;
}

@keyframes fade-in {
  0% {
    opacity: 0;
    height: 0px;
    transform: translateY(-5%);
  }
  100% {
    opacity: 1;
    height: 100%;
    transform: translateY(0%);
  }
}
